- [HTTP request](https://docs.cloud.google.com/iam/docs/reference/rest/v3/organizations.locations.accessPolicies/patch.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/iam/docs/reference/rest/v3/organizations.locations.accessPolicies/patch.md.txt#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/iam/docs/reference/rest/v3/organizations.locations.accessPolicies/patch.md.txt#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/iam/docs/reference/rest/v3/organizations.locations.accessPolicies/patch.md.txt#body.request_body)
- [Response body](https://docs.cloud.google.com/iam/docs/reference/rest/v3/organizations.locations.accessPolicies/patch.md.txt#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/iam/docs/reference/rest/v3/organizations.locations.accessPolicies/patch.md.txt#body.aspect)
- [Examples](https://docs.cloud.google.com/iam/docs/reference/rest/v3/organizations.locations.accessPolicies/patch.md.txt#examples)
- [Try it!](https://docs.cloud.google.com/iam/docs/reference/rest/v3/organizations.locations.accessPolicies/patch.md.txt#try-it)

Updates a Unified Access Policy.

### HTTP request

`PATCH https://iam.googleapis.com/v3/{accessPolicy.name=organizations/*/locations/*/accessPolicies/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `accessPolicy.name` | `string` Identifier. The resource name of the Unified Access Policy. The following formats are supported: - `projects/{projectId}/locations/{location}/accessPolicies/{unified_access_policy_id}` - `projects/{projectNumber}/locations/{location}/accessPolicies/{unified_access_policy_id}` - `folders/{folderId}/locations/{location}/accessPolicies/{unified_access_policy_id}` - `organizations/{organizationId}/locations/{location}/accessPolicies/{unified_access_policy_id}` |

### Query parameters

| Parameters ||
|---|---|
| `validateOnly` | `boolean` Optional. If set, validate the request and preview the update, but do not actually post it. |

### Request body

The request body contains an instance of `AccessPolicy`.

### Response body

If successful, the response body contains an instance of `Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/iam`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).